import fs from "fs/promises";
import path from "path";
import url from "url";

export const description = "Prints out the version of the tool.";

export const options = [];

export const main = async (opts) => {
  const pkgurl = url.parse(import.meta.url);
  const pkgpath = path.parse(pkgurl.path);
  const pkgfile = path.join(pkgpath.dir, "../package.json");
  const info = JSON.parse(await fs.readFile(pkgfile));
  console.log(info.version);
}
